/*
 * PeerManager.java
 *
 * Created on August 10, 2005, 11:37 AM
 *
 */

package jxl.peermi;

/**
 *
 * @author Alex Lynch (jxlynch@users.sf.net)
 */
public class PeerManager<T extends PeerRemote> extends PeerHashSet<T> implements DiscoveryListener{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final Class<T> type;
    /** Creates a new instance of PeerManager */
    protected PeerManager(Class<T> type) {
        this.type = type;
    }

    public void discovery(PeerRemote remote) {
        add(type.cast(remote));
    }
    
}
